<?php 

namespace Concrete\Package\TroopPlaceholderImages;

$fs = new \Illuminate\Filesystem\Filesystem;
try {
	$fs->getRequire(__DIR__ . '/vendor/autoload.php');
} catch(\Illuminate\Filesystem\FileNotFoundException $e){
	throw new \Exception(t('Composer autoload not found.'));
}

use Troop\Foundation\Package\Package;

class Controller extends Package {

	protected $pkgHandle = 'troop_placeholder_images';
	protected $appVersionRequired = '5.7.3.1';
	protected $pkgVersion = '0.1.2';

	protected $packageProviders = array('\Troop\PlaceholderImage\PlaceholderImageServiceProvider');

	public function getPackageName()
	{
		return t('Troop Placeholder Images');
	}

	public function getPackageDescription()
	{
		return t('Replaces all or missing images with a placeholder image');
	}

}