<?php 
namespace Troop\PlaceholderImage;

use Loader;
use Config;
use \Concrete\Core\Controller\Controller;

use Troop\PlaceholderImage\Image;

class ImageController extends Controller {

	public function generate($dimensions, $bgColor = null, $textColor = null)
	{
		list($width, $height) = explode('x', $dimensions);

		$placeholder = new Image();
		$placeholder->setWidth($width);
		$placeholder->setHeight($height);
		if ($bgColor) $placeholder->setBackgroundColor($bgColor);
		if ($textColor) $placeholder->setTextColor($textColor);
		$placeholder->render();
	}
}
