<?php 

namespace Troop\PlaceholderImage\Legacy;

use Concrete\Core\Legacy\ImageHelper as BaseImageHelper;

use Troop\PlaceholderImage\Placeholder;

class ImageHelper extends BaseImageHelper {

	/**
	 * Deprecated
	 */
	/**
	 * Returns a path to the specified item, resized and/or cropped to meet max width and height. $obj can either be
	 * a string (path) or a file object.
	 * Returns an object with the following properties: src, width, height
	 * @param mixed $obj
	 * @param int $maxWidth
	 * @param int $maxHeight
	 * @param bool $crop
	 */
	public function getThumbnail($obj, $maxWidth, $maxHeight, $crop = false)
	{
		if (Placeholder::shouldReplace($obj))
		{
			$thumb = new \stdClass;
			$thumb->src = Placeholder::url($maxWidth, $maxHeight);
			$thumb->width = $maxWidth;
			$thumb->height = $maxHeight;

			return $thumb;
		}
		else
		{
			try {
				return parent::getThumbnail($obj, $maxWidth, $maxHeight, $crop);
			}
			catch (Exception $e)
			{
				var_dump($obj);die();
			}
		}
	}

}
